Import certificates into FF to make it working Assegnate 3 su 5 stelle

Linux openSuSE 13.1_64, FF 50.1.
ACR38 driver: OK, pcscd: running, middleware compiled: OK. Test eID reads 'passed' without PIN request (?), but NOT working actually (exception message at FF startup).
No eID certificate displayed in FF Preferences.
eID certificates exported from Windows 8.1 as .pfx file.
.pfx file imported into FF... Add-on is working well!
Odd behavior indeed.

It works - in 32-bit Firefox Assegnate 5 su 5 stelle

Just installed this (07-Mar-17) and it works perfectly in 32-bit Firefox.
But a WARNING: it does NOT work at all in 64-bit Waterfox.

Dit werkt perfect als je basiskennis hebt (Works perfectly if you have basic human skills). Assegnate 5 su 5 stelle

Als het niet werkt ligt het aan uw PC/browser/kaartlezer configuratie.
Geen nut iets of iemand anders de schuld te geven. Het probleem ligt dan bij uzelf.

(If it doesn't work it's because of your PC/browser/cardreader configuration.
No use blaming something or someone else. The issue lies with you.)

Tested on: Latest Firefox version 51.0.1 and older versions. Both on Windows 7&10 and a Mac.

Aanmelden lukt echt niet. Assegnate 1 su 5 stelle

Ik werk op een mac met os sierra 10.12.2. Ik heb verschillende browsers geprobeerd (Safari, Firefox, Chrome en Opera; noppes dus). Ik heb de eID viewer, eID middleware verwijderd (via terminal) en opnieuw geïnstalleerd. De add-on geaccepteerd. Geschiedenis al gewist, staat nu zelfs op niets onthouden. De certificaten onder voorkeuren bij Firefox gecontroleerd, alle vinkjes staan aan. PKCS11 staat in de lijst. De Sleutelhangertoegang gecontroleerd, er staat wel geen BELPIC maar BEID-xxxxx met vervolgens een lange cijfer- en lettercode. Fedict heeft me gisteren al telefonisch gecontacteerd. De test lukt me ook al niet. Ik krijg steeds de foutmelding dat er geen beveiligde connectie kan worden verkregen. Enfin, wat een bedoening om in te loggen. Het kan toch niet de bedoeling zijn dat dit zó gebruiksonvriendelijk is?

Katia

EID BELGIE Assegnate 1 su 5 stelle

WERKT NIET GOED

about Firefox ESR ? Assegnate 5 su 5 stelle

Hello,
I tried to install extension at home and i have firefox ESR (v45.2.0 x64)
It says my version is not supported.

I didn't think about this at all when i decided to go for ESR version and installed a lot of ESR on PC's at my workplace already :-/

Is the Version 1.0.18.1-signed.1-signed witch install nicely fully functional or may be bugged for newest sites witch would require the latest version or so ?

(i'm asking this because the beid middleware has to be updated to work properly on some sites, is it the same with the plugin, or am i safe "forever" with Version 1.0.18.1-signed.1-signed ? )

Thanks for you work, and your answers :)

Olivier

Questa recensione riguarda una versione precedente (1.0.21) del componente aggiuntivo. 

Hello Olivier,

Firefox changed their API a little when going from version 46 to 47. So we adapted our extension for that.
This causes our 1.0.21 version to work only with firefox version 47 and above (and our extension tells firefox it only works on firefox 47 and above).
Unfortunatelly firefox does not seem to fall back to the previous version of the extention (1.0.18.1-signed.1-signed) on older firefox versions.

Like you mentioned, the way to go here is use Version 1.0.18.1-signed.1-signed of our extension.
You are safe with that (all the extension does anyways is telling firefox where it can find our pkcs11 module, and attaching it) (so it even only needs to run once in order to use the our middleware)

Utilisation eID Belgique - solution sur MAC Assegnate 3 su 5 stelle

Rencontrant des problèmes de connexion chaque année pour remplir la déclaration d’impôt malgré la màj des modules nécessaires, il me semble enfin avoir trouvé l’astuce...
- quitter Firefox
- mettre l'ordi en veille
- brancher le lecteur de CI
- introduire la CI dans le lecteur
- réveiller l'ordi
- lancer Firefox
- accéder à la déclaration
Le tour est joué.

Questa recensione riguarda una versione precedente (1.0.21) del componente aggiuntivo. 

Werkt niet met Fedora 23 & Firefox 47 Assegnate 4 su 5 stelle

Ik krijg steeds de melding dat de eid middleware niet geinstallleerd is, an sited die gebruik maken van de eid vinden geen eid.

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Known issue

There was an API change in ff 47 which is the cause of this issue. We've submitted an updated add-on, but it's waiting for review currently before it can be signed by Mozilla; that should fix your problem.

Werkt NIET Firefox 47.0 Assegnate 1 su 5 stelle

Wil niet installeren op nieuw geïnstalleerde firefox, steeds melding dat installatie MISLUKT is.

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Er is een issue met Firefox 47 waardoor er een gele infobalk verschijnt die vraagt om de middleware te installeren, maar die mag je negeren.
Een fix voor onze addon is ingediend, maar wacht nog op beoordeling door Mozilla.

Dat de eID module is gëinstalleerd kan je ook manueel nagaan moest je dat wensen:
Opties->geavanceerd->Beveiligingsapparaten
In de lijst die nu verschijnt zou de Belgium eID pkcs11 module moeten staan

Assegnate 5 su 5 stelle

Werkt perfect!

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Werkt perfect op Ubuntu Assegnate 5 su 5 stelle

Ik heb een klassieke acr38u kaartlezer, als je de instructies voor de middleware volgt vanop de website van de staat, je firefox start met de plugin geinstalleerd en de kaartlezer ingestoken, en natuurlijk de libacr38u driver hebt geinstalleerd, dan werkt alles eigenlijk volledig vanzelf.

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Gemakkelijk Assegnate 5 su 5 stelle

Was al een hele tijd aan het vechten om in te loggen met de eID kaart. Deze tip gekregen van de helpdesk van fgov. Geen enkel probleem meer.

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Positieve ervaring voor GNU/Linux gebruiker. Assegnate 5 su 5 stelle

Voor wat een ervaren GNU/Linux gebruiker kan zeggen: prima werk geleverd. Ik heb al talloze keren op verschillende systemen met succes de readers vlot aan de praat gekregen en werkzaam gekregen in Firefox/Iceweasel. Het is gewoon plezierig om met deze ene manier van aanmelden zowel de belastingen, uw pensioen data als uw ziekenbond informatie te kunnen doornemen. Heel soepel bij distro LinuxMint, iets complexer bij de echte Debian. Dit heeft uiteraard te maken met de veiligheid. De installatie van de software verloopt vlot via de informatie die online te vinden is. Ook de tips zijn belangrijk om op te volgen. Zoals bijvoorbeeld, dat je 1st je viewer moet opstarten en je kaart inlezen en dan pas Firefox/Iceweasel moet opstarten.

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Hello,
Thank you for your kind review.
To use your eID card with Firefox/Iceweasel, it should not be necessary to launch the eID Viewer 1st though.
The eID card need to be present (inserted in the connected card reader) when firefox is launched however, otherwise firefox will unload our crypto library. ( as it find no smartcards )

Mijn oplossing: Assegnate 3 su 5 stelle

LIBCCID installeren.
Halve dag zoekwerk om zo iets simpels...

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Zou moeten geïnstalleerd zijn

Als je de eID middleware onder Linux installeert via de methode beschreven op eid.belgium.be, dan zou dit automatisch meegeïnstalleerd moeten zijn.

Welke distributie gebruik je? Hoe heb je alles geïnstalleerd?

Utilisateurs de Mac sous OS "YOSEMITE" : comment rentrer dans "TAX-ON-WEB" ? Assegnate 4 su 5 stelle

Utilisateurs de Mac Yosemite en Belgique: pour s'identifier pour "TAX-ON-WEB", utiliser Firefox. Lui aller faire chercher, par son petit moteur de recherche de modules, l'extension "eID. Belgique" (taper eID Belgique dans le champ "recherche de modules"). La dervière version en juillet 2015 est : "1.0.18". Ne pas s'occuper de l' "Add-on" conseillé par le développeur de "FGov" lui-même (Fedict) : il est probablement inopérant car périmé. Qui plus est, si vous lui demandez conseil en français, il vous répondra en anglais. Si vous tenez à ce qu'il vous aide, demandez le poliment en néerlandais.
L'extension "eID. Belgique" que Firefox ira chercher lui-même sera, c'est certain, la dernière version de cette Extension du navigateur : la seule utile. Et Firefox avertit : "Utilisez la carte d'identité électronique belge (eID) dans Firefox. Outre ce module, vous devez aussi installer le middleware eID sur votre ordinateur. Téléchargez le middleware pour votre système d'exploitation sur eid.belgium.be."). Après avoir téléchargé cet "add-on", cette extension, redémarrer Firefox, puis le quitter.
Télécharger, sur le site "Tax-On-Web, la dernière version du middelware eID mise au point par le développeur Fedict : indispensable. L'installer, redémarrer l'ordinateur, brancher le lecteur de carte à puce, lancer le "eID viewer app", glisser sa carte d'identité électronique dans le lecteur, et vérifier que les données apparaissent. Vérifier le code pin comme demandé par l'onglet "carte/pin" de l' "eID viewer". Et y ouvrir l'onglet "Certificats" : là, cocher la case "Toujours valider les certificats de confiance" et attendre jusqu'à ce que le logiciel affiche "Fiable" à côté du mot "Confiance".
Laisser le lecteur de carte branché avec la carte dedans. Relancer Firefox (le lecteur de carte doit donc bien être connecté, carte insérée, avant le démarrage de Firefox). Avant d'aller sur Tax-on-Web, dans le premier menu de la page d'accueil Firefox, aller dans le menu "Préférences". Y prendre l'onglet "Avancé". Dans ce menu, cliquer sur l'onglet "Certificats". Là, cliquer sur le bouton "Afficher les certificats". Dans la fenêtre qui apparaît, cherchez les Certificats sous les appellations "Belgium Root" (par exemple : "Citizen CA"). Les saisir un par un. Cliquez pour chaque saisie sur "Modifier la confiance". Dans la fenêtre qui apparaît à chaque fois ("Modifier les paramètres de confiance"), cocher toutes les cases (toutes !). Cliquer sur "OK" à chaque Certificat. Veiller à n'avoir oublié aucun certificat "Belgium Root".
Avec Firefox ainsi ouvert et aux "Préférences" ainsi programmées, entrez sur "TAX-ON-WEB". Cliquez sur "Vers ma déclaration". Dans la page "Identification via CSAM" qui apparaît, choisissez votre mode d'identification. Si vous choisissez par "carte d'identité électronique", cliquez "OK" sur la demande faite par "TAX-ON-WEB" de choisir personnellement le certificat. "TAX-ON-WEB" vous demandera le code"Pin" de votre carte d'identité. Celui-ci rentré, vous entrez sur votre espace personnel dans "TAX-ON-WEB".

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

installation impossible Assegnate 1 su 5 stelle

ne s'installe plus et ne fonctionne plus sous Firefox 38

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Thank you for reporting this, Firefox indeed has stopped looking into our current extension folder path.
Installing the plugin from the mozilla store should work.

Assegnate 1 su 5 stelle

Extension impossible à installer : elle plante Firefox au redémarrage et doit être enlevée pour que le navigateur fonctionne à nouveau !
Mac OS 10.9.5 - eID viewer 4.0.7 fonctionne - Firefox 38.0.1

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Wat wil je meer Assegnate 5 su 5 stelle

Je klikt, en het werkt...10 sec.
Wat wil je meer ?

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Assegnate 4 su 5 stelle

Allereerst: super veel dank aan Wouter dat hij de tijd blijft nemen om de reacties op deze pagina te beantwoorden.

't Is altijd een heel gedoe om het eID-verhaal aan de praat te krijgen. Maar met deze plugin en heel wat geduld komt het meestal wel goed. Onvoorstelbaar dat FEDICT lijkt te denken dat deze huidige opzet voor het grote publiek bruikbaar is.

Een paar tips voor Mac gebruikers:
- gebruik Firefox in combinatie met deze plugin, met een andere browser heb ik het nog nooit aan de praat gekregen
- sluit de eID lezer aan voordat je je Mac aanzet
- steek je kaart in de lezer voordat je FireFox start

Voor wie nog problemen heeft, volgende setup werkt op dit moment voor mij: OS X 10.10.3 - FireFox 37 - eID MW 4.0.7.

----

Update: na de raadgevingen van Fedict (zie repliek op mijn review) heb ik de eID ook onder Safari aan de praat gekregen. Bedankt!

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo. 

Beste,

Het spijt me te horen dat het niet lukt te authentiseren op Yosemite, gebruik makend van safari of google chrome.
Hoewel u blijkbaar goed op de hoogte bent, wil ik toch nog even de meest voorkomende issues en hun oplossingen op yosemite oplijsten:

-) Door de quickinstaller wordt ook software voor kaartlezers geïnstalleerd. 1 van deze software pakketten veranderde het standaard OS X gedrag met betrekking tot het starten van smart card gerelateerde services.
Deze wijziging was wenselijk onder voorgaande versies van OS X, maar niet meer onder Yosemite. We hebben de quickinstaller dan ook aangepast zodat deze die wijziging ongedaan maakt.
Deze aangepaste versie stond reeds lange tijd beschikbaar als toekomstige versie voor OS X, en sinds begin april 2015 ook als huidige versie voor OS X.
+) Oplossen van dit issue bestaat er in de laatste versie van de quickinstaller (407.7804) te installer op OS X

-) Wanneer men zich authentiseerd op een webpagina, met behulp van safari, dan wordt uw certificaatkeuze opgeslagen in sleutelhangertoegang.
(zodat u bij volgende authenticatie uw certificaat niet meer hoeft te kiezen tussen uw handtekening of authenticatie certificaat).
Moest u per vergissing de eerste maal dat u de site bezocht, uw handtekening certificaat gekozen hebben, dan zal de authenticatie falen, en ook volgende authenticatiepogingen zullen falen daar safari steeds het handtekening certificaat zal blijven gebruiken.
+) Om deze situatie recht te zetten, dient u de opgeslagen certificaatkeuze in sleutelhangertoegang te verwijderen:
1) hang op kaartlezer aan de mac en steek uw eID kaart in de kaartlezer
2) open sleutelhangertoegang (applications/utilities/Keychain access) .
3) In sleutelhangertoegang, selecteer keychain 'login' (de lijst van sleutelhangers vind je links)
Rechts krijg je een lijst met certificaten, sleutels en voorkeuren.
Zoek de identiteitsvoorkeuren (identity preferences) van de site waar je je wil authentiseren, (zoek onder 'naam')
en dubbelklik erop. Nu kan je het certificaat kiezen dat bij voorkeur wordt gebruikt: kies je authenticatie certificaat.
(een alternatief voor op de identiteitsvoorkeur van die url te dubbelklikken, is erop te klikken met de rechtermuisknop (ctrl-klik), en dan de identiteitsvoorkeur te verwijderen)

-) Wanneer u in de browser een waarschuwing blijft krijgen dat de laatste versie van de middleware dient gebruikt te worden.
+) Dit is enkel een melding, wanneer u versie 407 reeds geïnstalleerd heeft, mag u deze melding gerust negeren.


In geval van problemen met de eID middleware, kan u steeds contect opnemen met onze servicedesk via http://eid.belgium.be/nl/je_eid_gebruiken/hulp_nodig_/contact/

Assegnate 2 su 5 stelle

Peut-être utile pour ceux qui comme moi ont galéré des semaines en pensant que le module ne fonctionnait pas: à l'installation, il est désactivé par défaut. Il faut donc l'activer manuellement... ça ne vous garantira toujours pas l'accès au site (ce serait trop facile) mais au moins vous pourrez passer l'étape de cette fichue erreur SSL :p

Questa recensione riguarda una versione precedente (1.0.18.1-signed.1-signed) del componente aggiuntivo.